org.apache.poi.ss.usermodel

## Enum ClientAnchor.AnchorType

- java.lang.Object
- - java.lang.Enum<ClientAnchor.AnchorType>
  - - org.apache.poi.ss.usermodel.ClientAnchor.AnchorType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ClientAnchor.AnchorType>
  Enclosing interface:
    ClientAnchor

      public static enum ClientAnchor.AnchorType
      extends java.lang.Enum<ClientAnchor.AnchorType>

  Since:
    POI 3.14beta1

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DONT_MOVE_AND_RESIZE` Do Not Move or Resize With Underlying Rows/Columns (3)
    `DONT_MOVE_DO_RESIZE` Don't Move but do Resize With Anchor Cells (1)
    `MOVE_AND_RESIZE` Move and Resize With Anchor Cells (0)
    `MOVE_DONT_RESIZE` Move With Cells but Do Not Resize (2)

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `short` | `value`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ClientAnchor.AnchorType` | `byId(int value)` return the AnchorType corresponding to the code
    `static ClientAnchor.AnchorType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ClientAnchor.AnchorType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MOVE_AND_RESIZE

          public static final ClientAnchor.AnchorType MOVE_AND_RESIZE

      Move and Resize With Anchor Cells (0)

      Specifies that the current drawing shall move and resize to maintain its row and column anchors (i.e. the object is anchored to the actual from and to row and column)

    - #### DONT_MOVE_DO_RESIZE

          public static final ClientAnchor.AnchorType DONT_MOVE_DO_RESIZE

      Don't Move but do Resize With Anchor Cells (1)

      Specifies that the current drawing shall not move with its row and column, but should be resized. This option is not normally used, but is included for completeness.

      Note: Excel has no setting for this combination, nor does the ECMA standard.

    - #### MOVE_DONT_RESIZE

          public static final ClientAnchor.AnchorType MOVE_DONT_RESIZE

      Move With Cells but Do Not Resize (2)

      Specifies that the current drawing shall move with its row and column (i.e. the object is anchored to the actual from row and column), but that the size shall remain absolute.

      If additional rows/columns are added between the from and to locations of the drawing, the drawing shall move its to anchors as needed to maintain this same absolute size.

    - #### DONT_MOVE_AND_RESIZE

          public static final ClientAnchor.AnchorType DONT_MOVE_AND_RESIZE

      Do Not Move or Resize With Underlying Rows/Columns (3)

      Specifies that the current start and end positions shall be maintained with respect to the distances from the absolute start point of the worksheet.

      If additional rows/columns are added before the drawing, the drawing shall move its anchors as needed to maintain this same absolute position.

  - ### Field Detail

    - #### value

          public final short value

  - ### Method Detail

    - #### values

          public static ClientAnchor.AnchorType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ClientAnchor.AnchorType c : ClientAnchor.AnchorType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ClientAnchor.AnchorType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### byId

          @Internal
          public static ClientAnchor.AnchorType byId(int value)

      return the AnchorType corresponding to the code
      Parameters:
        `value` - the anchor type code
      Returns:
        the anchor type enum

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.